2 Replies Latest reply: Sep 13, 2011 5:46 AM by lllaass
MJDx333 Level 1 Level 1 (0 points)

im assuming my ipod touch is old because i cant install an play any of the angry birds apps, it said something about i need iphone 4 or something to that nature, cant anyone direct me in the right direction so i can get my ipod to play angry bird


iPod touch, iOS 3.1.3